#!/bin/bash

STAGE2="/usr/local/sbin/radius-dns-update.s2.sh"

if [[ "${USER_NAME}" == "" ]] || 
   [[ "${HINT}" == "" ]] ||
   [[ "${ACCT_STATUS_TYPE}" == "" ]] ||
   [[ "${FRAMED_IP_ADDRESS}" == "" ]]; then exit 0; fi

if [[ -x $STAGE2 ]]; then 
	$STAGE2 -u"${USER_NAME}" -t"${HINT}" -s"${ACCT_STATUS_TYPE}" -i"${FRAMED_IP_ADDRESS}" 2>&1 >/dev/null
fi

exit 0
